Workstation

Workstation Overview

This section provides help on the following NVIDIA Control Panel features - available with NVIDIA Quadro cards - that are specific to workstation applications:

  • Frame Synchronization

    • Frame synchronization is the process of synchronizing display pixel scanning to a synchronization source. When several systems are connected, a sync signal is fed from a master system to the other systems in the network, and the displays are synchronized with each other.

  • Graphics to SDI Output

    • Serial Digital Interface (SDI) is a digital, uncompressed high quality video format used for film and video post production and broadcast applications. The NVIDIA Quadro® FX 4500 SDI and NVIDIA Quadro® FX 5500 SDI graphics card converts composited video and graphics to uncompressed 8-bit, 10-bit, or 12-bit SDI output.

  • Edge Overlap Adjustment

    • Edge overlap adjustment lets you define an area along the edge of adjacent displays to repeat in a multiple projection system. When the adjacent projections overlap in that area, the result is better fusion of the two displays.

NOTE: For Windows Vista – Workstation features under Windows Vista are in development and may not be available with your ForceWare graphics driver version. Consult the release notes for the latest list of unsupported features.

©2006, 2007 NVIDIA Corporation. All rights reserved.


Frame Synchronization

Frame synchronization is the process of synchronizing display pixel scanning to a synchronization source. When several systems are connected, a sync signal is fed from a master system to the other systems in the network, and the displays are synchronized with each other.

NVIDIA frame synchronizing technology involves two main processes:

  • Frame lock synchronizes applications across multiple displays or windows. Frame lock allows the display channels from multiple workstations to be synchronized, thus creating one large "virtual display" that can be driven by a multisystem cluster for performance scalability.

  • Genlock (also known as "house sync") synchronizes one or more systems to a common sync source. Genlock allows the graphics output to be synchronized to an external source, typically for film and broadcast video applications.

The following NVIDIA products support frame synchronization:

  • NVIDIA Quadro FX 3000G

  • NVIDIA Quadro G-Sync combined with the NVIDIA Quadro FX 5500 or the NVIDIA Quadro FX 4500

  • For help on using frame synchronization, see How Do I.

  • For reference information, see Reference.


How do I ...

  • Synchronize my system to a house sync

  • Synchronize multiple systems

  • Adjust how my graphic card handles an external sync signal

  • Change the timing signal frequency generated by the server

  • Introduce a timing delay to the house sync

  • Introduce a timing delay at each client

  • Quickly reassign the server

  • View the status of my frame lock setup


To synchronize my system to a house sync

  1. Connect the external sync source to the House Sync BNC connector on the NVIDIA Quadro G-Sync card or the NVIDIA Quadro FX 3000G.

    • The House Sync LED on the graphics card bracket should turn green to indicate that the hardware has detected the house sync timing signal. (An occasional red flash is OK.)

    • A red LED means that the hardware cannot detect the house sync timing signal. Check the signal source and correct the problem before proceeding.

  2. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Synchronize Displays.

  3. Under The timing server, click the On this system radio button.

  4. Click Apply.

The graphics card should automatically detect the sync signal and no further action is needed.

Related topics

  • Synchronize multiple systems

  • Adjust how my graphic card handles an external sync signal

  • Change the timing signal frequency generated by the server

  • Introduce a timing delay to the house sync

  • Introduce a timing delay at each client

  • Quickly reassign the server

  • View the status of my frame lock setup

  • House Sync Signal Detection


To synchronize multiple systems

  1. Daisy chain the NVIDIA Quadro G-Sync or NVIDIA Quadro FX 3000G cards from each system together using standard CAT5 patch cabling plugged into the RJ45 connectors.

    2. You can connect to any of the two RJ45 connectors. Each connector automatically configures itself as an input or output after all the connections are made and one system is configured as the timing server.

    Warning: The voltage and signal on the frame lock ports are different from ethernet signals. Do not connect a frame lock port to an ethernet card or network hub. Doing so can damage your hardware.

  2. If you are synchronizing all the systems to an external house sync signal, then connect the external signal source to the House Sync BNC connector on the NVIDIA G-Sync or NVIDIA Quadro FX 3000G card that you've designated to be the timing server.

  3. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Synchronize Displays.

  4. Under The timing server, click the On this system radio button.

    • If the system has multiple displays, the driver automatically selects the primary display to be the timing server and all other displays are the clients.

    • To change the configuration, click the icon of the display that you want to be the timing server, then under Select displays to be active clients, select the check boxes for any displays that you want to be clients.

  5. Click Apply.

Set Up the Clients

Perform the following steps for each client system:

  1. From the NVIDIA Control Panel Select a Category page on the system that you have designated to be the timing server, click Workstation.

  2. From the Workstation page, click Synchronize Displays.

    3. Under Select the timing server, the On another system radio button should already be selected.

  3. Under Select displays to be active clients, select the check boxes for the displays that you want to be clients.

    4. You can select only displays whose refresh rates match that of the server. Selected displays will be synchronized to the server.

  4. Click Apply.

Related topics

  • Synchronize my system to a house sync

  • Adjust how my graphic card handles an external sync signal

  • Change the timing signal frequency generated by the server

  • Introduce a timing delay to the house sync

  • Introduce a timing delay at each client

  • Quickly reassign the server

  • View the status of my frame lock setup

  • House Sync Signal Detection


To adjust how my graphic card handles an external sync signal

To adjust how my graphics card handles an external sync signal

Note: These instructions apply to the timing server that is connected to a house sync signal.

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Synchronize Displays.

  2. Make sure that the On this system radio button under The timing server is selected.

  3. Open the Server Setting dialog box using one of the following methods:

    • From the Synchronize Displays page, click Edit Settings, or

    • From the NVIDIA Control Panel navigation tree pane, under Workstation, click View Status, then right click the display icon that is assigned to be the server and click Server Settings.

  4. Under The synchronization signals are based on, click the An external house signal radio button.

    The Server Setting dialog box will show the incoming house sync frequency. A frequency of 0.00 Hz indicates that the system has not yet been set as the server.

  5. Configure additional synchronization settings as needed:

    • If the card you are using is an NVIDIA Quadro FX 3000G, then click the Refresh rate list arrow and choose a refresh rate that matches the incoming house sync frequency, indicated in bold text.

    • If necessary, select the appropriate sync signal detection setting.

    • Select which edge of the sync signal to use to trigger the sync pulses - leading or falling edge.

    • If necessary, you can double the sync frequency by clicking the Both edges radio button under Trigger sync pulses from the frame start signal using. This control is available only for TTL signals.

    • If the external signal is an interlaced signal - such as is used to drive a 1080i display - then click the The external signal is an interlaced signal check box.

  6. Click OK.

    7. A Monitor Settings dialog box appears, asking if you want to keep the changed settings.

    Click Yes to keep the new settings, or No to revert to the previous settings.

Related topics

  • Synchronize my system to a house sync

  • Synchronize multiple systems

  • Change the timing signal frequency generated by the server

  • Introduce a timing delay to the house sync

  • Introduce a timing delay at each client

  • Quickly reassign the server

  • View the status of my frame lock setup

  • House Sync Signal Detection


To change the timing signal frequency generated by the server

Follow these instructions if you are using the server to generate the timing signals and you want to change the timing signal frequency.

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Synchronize Displays.

  2. Make sure that the On this system radio button under The timing server is selected.

  3. Click Edit Settings to open the Server Settings dialog box.

  4. Under The synchronization pulses are based on, click the Internal timing signal with a refresh rate of radio button.

  5. Click the list arrow and select a refresh rate, then click OK.

    6. The refresh rate of the server display as well as the frequency of the timing signal will change based on your selection.

Related topics

  • Synchronize my system to a house sync

  • Synchronize multiple systems

  • Adjust how my graphic card handles an external sync signal

  • Introduce a timing delay to the house sync

  • Introduce a timing delay at each client

  • Quickly reassign the server

  • View the status of my frame lock setup

  • House Sync Signal Detection


To introduce a timing delay to the house sync

  1. Make sure a House Sync signal is connected to the server.

  2. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Synchronize Displays.

  3. Make sure that the On this system radio button under The timing server is selected.

  4. Click Edit Settings to open the Server Settings dialog box.

  5. Under The synchronization pulse is based on, click the An external house signal radio button.

  6. In the Sync delay text box, enter the delay (in microseconds) that you want to introduce to the house sync signal, then click OK.

Related topics

  • Synchronize my system to a house sync

  • Synchronize multiple systems

  • Adjust how my graphic card handles an external sync signal

  • Change the timing signal frequency generated by the server

  • Introduce a timing delay at each client

  • Quickly reassign the server

  • View the status of my frame lock setup

  • House Sync Signal Detection


To introduce a timing delay at each client

Perform the following steps wherever you want to introduce a delay in the timing signal transmission chain:

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click View status.

  2. Right-click the G-Sync image, then click G-Sync settings from the pop-up menu to open the G-Sync Settings dialog box.

  3. In the Sync delay text box, enter the delay (in microseconds) that you want to introduce to the timing signal, then click OK.

Related topics

  • Synchronize my system to a house sync

  • Synchronize multiple systems

  • Adjust how my graphic card handles an external sync signal

  • Change the timing signal frequency generated by the server

  • Introduce a timing delay to the house sync

  • Quickly reassign the server

  • View the status of my frame lock setup

  • House Sync Signal Detection


To quickly reassign the server/client displays

To quickly reassign the server/client displays/client displays on the same system

Method 1

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click View Status.

  2. Right click the server display icon and then from the context menu uncheck Treat as server.

  3. Right click the display that you want to use as the server and then from the context menu check Treat as Server.

  4. Right click any displays that you want to be clients, then from the context menu check Treat as Client.

Method 2

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Synchronize Displays.

  2. Click one of the client displays that you want to be the server display.

  3. Under Select displays to be active clients, select the check boxes for any displays that you want to be clients, then click Apply.

Related topics

  • Synchronize my system to a house sync

  • Synchronize multiple systems

  • Adjust how my graphic card handles an external sync signal

  • Change the timing signal frequency generated by the server

  • Introduce a timing delay to the house sync

  • Introduce a timing delay at each client

  • View the status of my frame lock setup

  • House Sync Signal Detection


To view the status of my frame lock setup

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click View system topology.

    2. In some driver versions, the text reads "View Status".

    See View Status for details about this page.

Related topics

  • Synchronize my system to a house sync

  • Synchronize multiple systems

  • Adjust how my graphic card handles an external sync signal

  • Change the timing signal frequency generated by the server

  • Introduce a timing delay to the house sync

  • Introduce a timing delay at each client

  • Quickly reassign the server

  • View Status

  • House Sync Signal Detection


Frame Sync Reference

This section provides reference information on NVIDIA Frame Synchronization.

  • View Status

  • House Sync Signal Detection


View Status

The View System Topology page (or View Status page in some driver versions) provides a graphical view of the status of your frame-sync environment. It shows all the displays in your system and provides frame lock status information for each display as well as connection status information for the NVIDIA Quadro G-Sync card or NVIDIA Quadro FX 3000G. In addition to viewing status information, you can also change various settings using the View System Topology page.

Viewing Frame Lock Connection Status

When you click on an icon, a status box appears at the bottom of the page.

  • Click on one of the display icons and the status box shows whether the

  • Display is using internal timing

  • Display is locked to a house sync signal

  • Display is locked to a frame lock sync pulse

  • Display stereo signal is in phase with the server

  • Click on the G-Sync card icon and the status box shows

  • Whether or not the frame lock ports are used.

  • The direction of the timing signal at each frame lock port - either IN or OUT.

  • Whether or not a house sync signal is present.

Changing Settings

When you right click an icon, a context menu appears that lets you change settings.

  • Right click a server display icon and then select a context menu item to

  • Remove that display as the server to allow you to select another display as the server

  • Launch the Server Settings dialog box that lets you edit the properties of the frame synchronization pulses generated by the timing server.

  • Right click a client display icon and then select a context menu item to

  • Add or remove that display as the client

  • Assign that display as the server if there is no other server assigned.

  • Right click the G-Sync card icon and then select a context menu item to

  • Use or not use the house sync signal (if the card is connected to a house sync).

  • Open the G-Sync Settings dialog box to verify the refresh rate, verify the sync delay if the card is connected to a house sync signal, or change the sync delay if the card is connected to all client displays.

See also System Topology.

Related topics

  • Synchronize my system to a house sync

  • Synchronize multiple systems

  • Adjust how my graphic card handles an external sync signal

  • Change the timing signal frequency generated by the server

  • Introduce a timing delay to the house sync

  • Introduce a timing delay at each client

  • Quickly reassign the server

  • View the status of my frame lock setup

  • House Sync Signal Detection


House Sync Signal Detection

NVIDIA frame sync-capable graphics cards support the following external house sync signal types:

  • TTL (3.3 volt level)

  • Composite Bi-level (NTSC or PAL sources use bi-level composite signals.)

  • Composite Tri-level (HDTV sources commonly use tri-level composite signals.)

Normally, the software automatically detects the signal type that is being used. If the driver fails to detect the signal type, you can force the software to detect the signal type as follows:

  1. On the system that you have set up to be the server, go to the NVIDIA Control Panel Workstation page and click Synchronize Displays.

  2. Click Edit Settings to open the Server Settings dialog box.

  3. Click the Sync signal detection list arrow and then click the item corresponding to the house signal source.

  4. Click OK to save the settings.

Related topics

  • Synchronize my system to a house sync

  • Synchronize multiple systems

  • Adjust how my graphic card handles an external sync signal

  • Introduce a timing delay to the house sync

  • To view the status of my frame lock setup


Graphics to SDI Output

Serial Digital Interface (SDI) is a digital, uncompressed high quality video format used for film and video post production and broadcast applications.

The NVIDIA Quadro® FX 4000 SDI converts composited video and graphics to uncompressed 8-bit and 10-bit SDI output.

The NVIDIA Quadro® FX 4500 SDI and NVIDIA Quadro® FX 5500 SDI convert composited video and graphics to uncompressed 8-bit, 10-bit, or 12-bit SDI output.

  • For help on using these features, see How do I...

  • For reference information on these features, see the Reference.


How do I ...

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Enable multiple SDI cards


To set up your graphics-to-SDI output

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Send graphics to SDI output.

  2. If you are using more than one NVIDIA Quadro FX SDI card (as in the NVIDIA Quadro Plex 1000), under Select a display to configure SDI output, click the display icon corresponding to the display you want to configure, then follow the remaining instructions for that display.

    • This option does not appear if your system contains only one NVIDIA Quadro FX SDI card.

    • If this option does not appear and your system does contain more than one NVIDIA Quadro FX SDI card, see To enable multiple SDI cards for instructions on enabling the cards.

  3. Under Send SDI output using, select the SDI output mode that you want to use.

    • Clone mode: In Clone mode, the SDI output is a clone of the display output.

    • Dualview mode: In Dualview mode, you can define one large desktop that extends from the display to the SDI output. This lets you move windows between the SDI output and the graphics (DVI) display part of the extended desktop. With applications that use video overlay or Microsoft VMR, you can also display the video full-screen on the SDI output.

    • Do not send SDI output: With this option, no signal is sent to the SDI output. The remaining controls on the page are disabled. Choose this option if you want an application to control the SDI output. Once the application is running, this page does not let you change the settings, but only shows the settings established by the application.

  4. Click the SDI Settings bar to open the SDI Signal Settings dialog box.

  5. Choose a method for determining the format of the SDI output - either using internal timing or synchronized to an external signal source.

    • To use internal timing, select Free running (internal timing), then click the list arrow and choose from the list of available SDI signal formats.

    • To synchronize to an external signal source, make sure the house sync is connected to the appropriate BNC connector on the graphics card, then select Synchronized to a house sync signal and set up the synchronization and signal formats as follows:

      • If you have both SDI and composite house syncs connected, select the corresponding House sync type radio button for the one you want to use.

      • To synchronize the pixel scanning of the SDI output to the external signal using genlock, select Pixel-accurate synchronization.

      • To synchronize the frame rate of the SDI output to the external signal using frame lock, select Frame-accurate synchronization using this format, then click the list arrow and choose from the list of available SDI signal formats.

      • To introduce a delay in the SDI output, enter the pixel or line delay values in the appropriate HSYNC or VSYNC delay boxes.

  6. Check the Terminate the analog signal at this connector check box if

    • the system is a standalone system synchronized to a house sync signal, or

    • the system is the last in a chain of systems connected to the same house sync signal.

    Note: This control is not available with the NVIDIA Quadro FX 4000 SDI card.

  7. Choose the SDI output data format by clicking the SDI output format list arrow and then selecting from the list of available color formats.

  8. Click OK when done to close the dialog box.

  9. Click Apply.

See also Recommended Operating Practices.

Related topics

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status


To adjust the desktop area to send to the SDI output

Note: This feature is not available under Dualview mode.

To adjust the desktop area to send to the SDI output

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Send graphics to SDI output.

  2. Click the Change Desktop Region bar.

    3. The NVIDIA Control Panel minimizes and the SDI Output dialog box appears. Superimposed over the desktop is a rectangular outline that shows the region that will be used for the SDI output.

  3. Click the Select Region to use option.

  4. Adjust the region size.

    • Click and drag within the rectangular outline to adjust its position on the desktop.

    • Click and drag the appropriate corner or side handles to resize the outline.

    • You can also adjust the region size by specifying the X, Y, Width, and Height values in the SDI Output dialog box.

      • Either enter pixel values directly into the corresponding text boxes or click the up and down arrows by the appropriate box.

      Note: The X and Y values indicate the distance, in pixels, between the upper-left corner of the desktop and the upper-left corner of the output box.

  5. Click OK when finished.

    6. The desktop graphic image shows a thumbnail preview of the desktop region that you have set up for SDI output.

Related topics

  • Set up my graphics-to-SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


To specify gamma correction for the SDI output

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Send graphics to SDI output.

  2. Click the Color Settings bar to open the Color Settings dialog box.

  3. Specify the RGB Gamma values using one or more of the following methods:

    • Click and drag each R, G, or B slider to the appropriate value.

    • Enter the R, G, or B value in the respective boxes or use the up and down arrows.

    To keep all gamma channels at the same value while you adjust them simultaneously, click the Lock all channels check box.

  4. Click OK when finished.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


To set up color space conversion

  1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Send graphics to SDI output.

  2. Click the Color Settings button to open the Color Settings dialog box.

  3. Click the Color Space Conversion tab.

  4. Check Override the default color space conversion.

  5. Click the Initialize the color space conversion matrix with list arrow and then click one of the pre-defined color-space standards to use as a starting point.

  6. In each color-space text box, either enter values directly or use the corresponding up and down arrows to change the values.

  7. Click OK when finished.

Note: Color space conversion control is not available with the NVIDIA Quadro FX 4000 SDI card.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • View the status of my SDI setup

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


To view the status of my SDI setup

From the NVIDIA Control Panel navigation tree pane, under Workstation, click View system topology.

See View SDI Status for details about this page.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


To enable multiple SDI cards

On systems with more than one NVIDIA Quadro FX SDI card (as is the case with the NVIDIA Quadro Plex 1000), the Send Graphics to SDI Output page lets you configure the SDI output for each card. Before you can do this, all cards must be enabled.

To enable multiple SDI cards

  1. Make sure a display is connected to each SDI card that you want to enable.

  2. Open the Windows Display Properties page.

    1. Right-click the desktop, then click Properties from the pop-up menu.

    2. Click the Settings tab.

  3. Determine which monitor icon corresponds to the graphics card that you want to enable.

    4. There should be two monitor icons for each graphics card in the system. Typically, monitors 1 and 3 are connected to one graphics card and monitors 2 and 4 are connected to the other. For example, if monitor 1 is already attached, then monitor 2 would be grayed out, indicating that it is connected to the graphics card that is not yet enabled.

  4. Right-click the grayed-out monitor icon corresponding to the graphics card you want to enable, then click Attached from the pop-up menu.

    5. - or -

    Click the monitor icon, then click the Extend my Windows desktop onto this monitor check box.

  5. Click OK.

  6. You can now configure the SDI output for each SDI card as described in Set up my graphics-to-SDI output.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


To allow applications to control the SDI output

The SDI application programming interface allows OpenGL applications to have full and exclusive control of the SDI output.

Refer to the document Programming the NVIDIA Quadro FX 4000/4500/5500 SDI for instructions on using the APIs.

To allow applications to control the SDI output

  1. Make sure the NVIDIA Control Panel SDI output control is turned off.

    1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Send graphics to SDI output.

    2. If you are using more than one NVIDIA Quadro FX SDI card (as in the NVIDIA Quadro Plex 1000), under Select a display to configure SDI output, click the display icon corresponding to the display you want to configure.

      • This option does not appear if your system contains only one NVIDIA Quadro FX SDI card.

      • If this option does not appear and your system does contain more than one NVIDIA Quadro FX SDI card, see To enable multiple SDI cards for instructions on enabling the cards.

    3. Under Send SDI output using, select Do not send SDI output.

  2. Close the NVIDIA Control Panel.

  3. Start the application.

  4. Once the application is running and the SDI output is under application control, you can view the SDI settings and status as follows:

    1. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Send graphics to SDI output.

      2. This page displays the SDI formats, house sync settings, synchronization methods used, and sync delays.

See also Recommended Operating Practices.

Related topics

  • View the status of my SDI setup

  • SDI Connections

  • View SDI Status


Send Graphics to SDI Reference

Send Send Graphics to SDI Reference

This section provides reference information for sending graphics to SDI.

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


Synchronizing the SDI Output to an External Signal

You can synchronize the SDI output with other equipment in a broadcast or post production environment.

Supported Synchronization Methods

The Send Graphics to SDI page provides two methods for synchronizing the SDI output to a common sync source—pixel-accurate or frame-accurate synchronization.

Pixel-accurate synchronization synchronizes the pixel scanning of the SDI output to the house sync signal. When using pixel-accurate synchronization, the SDI refresh rate is determined by the sync signal.

Frame-accurate synchronization synchronizes the frame rate of the SDI output to the house sync signal. The sync signal determines the available SDI signal formats.

Supported External Sync Signal Types

The following two external synchronization signal types are supported:

  • SDI

  • Composite, which can be one of the following:

    • Composite Bi-level (NTSC or PAL sources use bi-level composite signals.)

    Composite Tri-level (HDTV sources commonly use tri-level composite signals.)

Connecting to an External Sync Source

To use an external sync source:

  1. Connect the sync signal to the appropriate BNC connector.

    2. You can connect to both types of sync sources at the same time. The software gives precedence to the SDI signal, but you can select which signal to use.

    You can connect multiple systems to the same house sync by daisy-chaining the house sync cable to each card using BNC T-connectors.

  2. Follow the instructions in To set up your graphics-to-SDI output for setting up your SDI system to use the external sync signal.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Test the DVI-to-DVI connection

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


SDI Connections

This section provides illustrations and instructions for connecting to the SDI and external sync connectors on the NVIDIA Quadro FX SDI cards.

DVI-to-DVI Connection

Note: This connection does not apply to the NVIDIA Quadro FX 4000 SDI.

Connect one end of the DVI cable to the DVI connector on the SDI Output card and the other end to the "north" DVI connector on the NVIDIA Quadro FX 4500/5500 card as shown. The SDI output will not work if the cable is not connected to these two connectors.

See To verify the DVI-to-DVI cable for instructions on how to test the DVI-to-DVI connection.

Display Output Connection

Connect your display to the DVI connector indicated:

House Sync and SDI Output Connections

The connector locations for the house sync input and SDI output are shown in the figure below, with corresponding descriptions in the following table. The order of the connector descriptions in the table follow the same left-to-right order of the connectors in the figure.

House Sync and SDI Output Connection Description
C SYNC | S SYNC | V2 Out | V1 Out
Composite genlock sync signal | SDI genlock sync signal | Single link SDI output, or Key portion of a dual link SDI output | Single link SDI output, or Fill portion of a dual link SDI output

Connecting to the NVIDIA Quadro FX 4000 SDI

The NVIDIA Quadro FX 4000 SDI uses BNC connectors for the house sync input and SDI output.

Connecting to the NVIDIA Quadro FX 4500/5500 SDI

The NVIDIA Quadro FX 4500/5500 SDI uses SMA connectors for the house sync input and SDI output connections. Use the provided SMA-to-BNC cables to make the connections as follows:

  1. (Optional) Install the identification color bands.

    2. Use the provided color bands to assist in properly identifying the function associated with each SMA-to-BNC cable.

    1. Using a different color for each SMA-to-BNC cable, place the band over the SMA connector end (the smaller end) and push up to the BNC-connector end.

    2. Position the band snugly over the wide portion of the insulation next to the BNC connector.

  2. Connect the SMA-to-BNC Cables.

    3. Screw the male SMA cable end onto the female SMA connector on the SDI output card.

    Note: Use care when connecting, disconnecting, or handling the cables that you do not break the center conductor on the SMA cable end.

  3. If you installed the color bands, record which color corresponds to which connector for later reference.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Test the DVI-to-DVI connection

  • Synchronizing the SDI Output

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


Introducing a Delay in the SDI Output

In the SDI Signal Settings dialog box, you can introduce a slight delay in the house-sync synchronized SDI output. For example, if delivery of video from other equipment is delayed because of greater cable length, you can introduce a delay in the SDI output from this card so that both deliveries are in sync.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Test the DVI-to-DVI connection

  • Synchronizing the SDI Output

  • SDI Connections

  • View SDI Status

  • Recommended Operating Practices


View SDI Status

The View System Topology page provides a graphical view of the status of the displays and graphics cards in your system. It shows all the displays in your system and provides SDI status information for each display as well as connection status information for the NVIDIA Quadro FX SDI cards. In addition to viewing status information, you can also change various settings using the View System Topology page.

Viewing the SDI Status

When you click the SDI Output card icon, a status box appears at the bottom of the page that shows the

  • SDI board name

  • Controlling application (if SDI is under application control)

  • SDI output format

  • SDI signal format

  • House sync format (if using an external sync signal)

  • House sync type: [SDI or Composite] (if using an external sync signal)

  • Sync method: [Pixel-accurate or Frame-accurate] (if using an external sync signal)

  • Sync delay: [pixels and lines] (if using an external sync signal)

Changing SDI Settings

When you right-click the SDI Output card icon, a context menu appears that lets you

  • Launch the SDI Signal Settings dialog box so you can specify the SDI-output signal format and SDI-output data format.

    • This is the same control that is available from the Send Graphics to SDI Output page.

  • Launch the Color Settings dialog box so you can specify the gamma correction and color space conversion.

    • This is the same control that is available from the Send Graphics to SDI Output page.

See also System Topology.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Test the DVI-to-DVI connection

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • Recommended Operating Practices


Recommended Operating Practices

This section provides some basic operating practices to follow in order to obtain the best SDI performance for your application.

Initial On-Air Broadcast Sequence

When starting a live broadcast of SDI video, follow the sequence below to ensure proper allocation of system resources and to prevent visual disturbances in the on-air broadcast.

  1. Set up the SDI format settings and start the SDI output.

  2. Start the application to be broadcast.

  3. Verify the video quality.

  4. Close the Graphics to SDI control panel.

  5. Go on air.

    6. To avoid visual disturbances while broadcasting live, DO NOT

    • Start or stop the graphics or video application

    • Turn on or off the SDI output

    • Make changes to the SDI signal format

When Changing Applications

To avoid visual disturbances while switching applications, observe the following sequence:

  1. Stop the live broadcast (go off air).

  2. Stop the application.

  3. Start the new application.

  4. Verify video quality.

  5. Resume the live broadcast.

When Changing Video Formats

When changing any of the SDI settings, visual disturbances might occur as the video resets to the new settings. To prevent such disturbances from being visible to the public or from being recorded, observe the following sequence when making changes to any SDI setting:

  1. Stop the live broadcast (go off air).

  2. Change video format or SDI settings.

  3. Verify video quality.

  4. Resume the live broadcast.

When Using the Control Panel

NVIDIA recommends the following -

  • Set the desktop to the same or higher resolution than the SDI output for better image quality.

  • Close all background applications—such as virus scan, backup, and archiving applications—before starting the SDI output and going on air.

  • Close the Display Properties panel before going on air.

  • When running multiple OpenGL applications, tearing may occur if the applications are not synchronized.

    • In general, NVIDIA does not recommend running multiple OpenGL applications when starting the SDI output or when going live.

Do Not Run Multiple OpenGL Applications

To maximize the system resources and bandwidth available for converting graphics to SDI output, NVIDIA recommends broadcasting only one OpenGL application at a time.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Test the DVI-to-DVI connection

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status


Edge Overlap Adjustment

Multiple projection systems can be used to create a virtual canvas where multiple displays are projected onto a larger screen. In order to eliminate the hard edge between adjacent displays, NVIDIA Edge Overlap repeats the edges of adjacent displays so that the display edges can be overlapped to create a seamless composite projection.

  • For help on using the edge-overlap feature, see How Do I.

  • For reference information, see Reference.

NOTE: Edge overlap adjustment is not available with Windows Vista.


How do I ...

Overlap adjacent display edges.


To overlap adjacent display edges

NOTE: Edge overlap adjustment is not available with Windows Vista.

To overlap adjacent display edges

  1. Make sure that the displays that you are using are connected to the same graphics card and that nView Spanning mode is enabled.

  2. From the NVIDIA Control Panel navigation tree pane, under Workstation, click Adjust edge overlap.

  3. If you have more than one pair of displays in your system, then click the Select a spanning display pair list arrow and click one of the display pairs from the list.

    4. The list will not appear if you have only one pair of displays.

  4. Adjust the edge overlap to match the actual overlap of your displays using one or more of the following methods:

    • Click and drag the slider to increase or decrease the amount of overlap in eight-pixel increments.

    • Click the slider, then press the keyboard right or left arrow keys to increase or decrease the amount of overlap in eight-pixel increments.

    • Click the slider, then press the keyboard Page Down or Page Up keys to increase or decrease the amount of overlap in 16-pixel increments.

    The Before and After projector graphics illustrate your pixel-overlap adjustments.

  5. Click Apply to put the change into effect.

Related topic

  • Adjust Edge Overlap


Edge Overlap Reference

This section provides reference information on NVIDIA Edge Overlap.

  • Adjust Edge Overlap


Adjust Edge Overlap

Use the controls on this page to adjust the overlap of adjacent displays. This is useful if you are using projection systems to create a large virtual display from multiple displays.

Hardware Setup Requirements

  • A high-end NVIDIA workstation graphics card, such as the NVIDIA Quadro FX 3400 or NVIDIA Quadro FX 5500

  • Both displays must be connected to the same graphics card

  • nView Horizontal or Vertical Spanning mode must be enabled

Adjust Edge Overlap Controls

Note: If you have only one pair of displays but they are not connected to the same graphics card, or they are not operating in nView Spanning mode, then the following controls will not be available.

Select a spanning display pair lets you select which pair of displays you want to overlap. If you have only one pair of displays, then this list will not appear.

Note: If the pair that you select is not operating in nView Spanning mode, then the following controls will not be available.

The Overlap Slider controls the amount of pixel overlap. Move the slider to the right to increase the overlap or to the left to decrease the overlap.

You can

  • Click and drag the slider

  • Click the slider (if you have not already done so), then use the keyboard left and right arrow keys to move the slider. The amount of pixel overlap changes in eight-pixel increments.

  • Click the slider (if you have not already done so), then use the keyboard page up and page down keys to move the slider. The amount of pixel overlap changes in 16-pixel increments.

The Before and After projector graphics illustrate your pixel-overlap adjustment.

NOTE: Edge overlap adjustment is not available with Windows Vista.

Related topic

  • Overlap adjacent display edges


System Topology

For workstation systems, a graphical topological view of the system is available to let you quickly check the status of your particular graphics environment. The topological view shows the hierarchical relationship between the graphics cards and the displays.

To view your system topology,

  1. From the NVIDIA Control Panel Select a Category page, click Workstation.

  2. From the Workstation page, click View system topology.

    3. The View System Topology page provides the following information:

    • GPU Information, such as

    • The name of the NVIDIA graphics product

    • Whether SLI technology is enabled, and the type of SLI technology used (regular or quad).

    • Frame Synchronization Status

    See View Frame Sync Status for a description of the information available with frame-sync capable NVIDIA graphics products.

    • Serial Digital Interface (SDI) Status

      • See View SDI Status for a description of the information available with NVIDIA Quadro FX SDI cards.


To test the DVI-to-DVI connection

You can run the DVI Cable Test wizard to verify that the DVI-to-DVI cable between the graphics card and SDI output card is working properly.

To test the DVI-to-DVI connection

  1. From the NVIDIA Control Panel Select a Category page, click Workstation.

  2. From the Workstation page, click Run DVI cable test.

  3. The Welcome to the DVI Cable Test Wizard screen appears.

    4. If you check the Do not show this Welcome page again check box, the Welcome screen will be skipped the next time you run the Wizard.

  4. Click Next.

    • If you have more than one SDI card in your system,

      • The Select an SDI Configuration screen appears.

      • Select the SDI configuration to test, then click Next.

    • The Testing the Cable page appears and shows the progress of the test. When the test is completed, the Completing the DVI Cable Test Wizard screen appears and lets you know whether or not the cable is working properly.

  5. Click Finish.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


To use graphics-to-SDI under Dualview

The default multi-display configuration is Clone mode, where the SDI output is a clone of the display output. NVIDIA SDI graphics cards also support Dualview mode, where the desktop extends across two monitors. Under Dualview mode, you can define one large desktop that extends from the display to the SDI output. This lets you move windows between the SDI output and the graphics (DVI) display part of the extended desktop. With applications that use video overlay or Microsoft VMR, you can also display the video full-screen on the SDI output.

To use graphics-to-SDI under Dualview

  1. Set up your SDI output as described in To set up your graphics-to-SDI output.

  2. In the Send Graphics to SDI Output page, click the click here link for changing to Dualview mode.

    3. The Change Display Configuration page appears.

  3. In step 1, select the (Dualview) option.

  4. In step 2, make sure that [your display] + NVIDIA SDI appears in the list box.

  5. In step 3, make sure that your display appears in the list box for the primary display.

  6. Click Apply.

    7. Dualview mode is enabled.

Related topics

  • Set up my graphics-to-SDI output

  • Adjust the desktop area to send to the SDI output

  • Specify gamma correction for the SDI output

  • Set up color space conversion

  • View the status of my SDI setup

  • Test the DVI-to-DVI connection

  • Synchronizing the SDI Output

  • SDI Connections

  • Introducing a delay in the SDI output

  • View SDI Status

  • Recommended Operating Practices


Workstation Overview

This section provides help on the following features that are specific to workstation applications:

  • Frame Synchronization

    • Frame synchronization is the process of synchronizing display pixel scanning to a synchronization source. When several systems are connected, a sync signal is fed from a master system to the other systems in the network, and the displays are synchronized with each other.